diff --git a/src/main/java/net/minecraft/core/entity/animal/SheepMob.java b/src/main/java/net/minecraft/core/entity/animal/MobSheep.java
similarity index 93%
rename from src/main/java/net/minecraft/core/entity/animal/SheepMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobSheep.java
index ffbbafb9b..78ad081b8 100644
--- a/src/main/java/net/minecraft/core/entity/animal/SheepMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobSheep.java
@@ -4,11 +4,11 @@ import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.ToolShearsItem;
+import net.minecraft.core.item.tool.ItemToolShears;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.MathHelper;
@@ -17,14 +17,14 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class SheepMob extends Animal
+public class MobSheep extends MobAnimal
 {
     public static final int DATA_WOOL_STATE_ID = 16;
     public static final int MASK_WOOL_COLOR = 0b0000_1111;
     public static final int MASK_SHEARED = 0b0001_0000;
     public static final int DATA_EATING_ID = 17;
 
-    public SheepMob(World world)
+    public MobSheep(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "sheep");
@@ -60,12 +60,12 @@ public class SheepMob extends Animal
         ItemStack itemstack = entityplayer.inventory.getCurrentItem();
         if(itemstack != null)
         {
-            if (itemstack.getItem() instanceof ToolShearsItem && !getSheared()){
+            if (itemstack.getItem() instanceof ItemToolShears && !getSheared()){
                 if(!world.isClientSide) {
                     setSheared(true);
                     int count = 2 + random.nextInt(3);
                     for (int j = 0; j < count; j++) {
-                        ItemEntity entityitem = spawnAtLocation(new ItemStack(Blocks.WOOL.id, 1, getFleeceColor().blockMeta), 1.0F);
+                        EntityItem entityitem = spawnAtLocation(new ItemStack(Blocks.WOOL.id, 1, getFleeceColor().blockMeta), 1.0F);
                         entityitem.yd += random.nextFloat() * 0.05F;
                         entityitem.xd += (random.nextFloat() - random.nextFloat()) * 0.1F;
                         entityitem.zd += (random.nextFloat() - random.nextFloat()) * 0.1F;
@@ -82,15 +82,15 @@ public class SheepMob extends Animal
     }
 
     public void onItemInteract(ItemStack itemStack) {
-        if (itemStack.getItem() instanceof ToolShearsItem && !getSheared()){
+        if (itemStack.getItem() instanceof ItemToolShears && !getSheared()){
             if(!world.isClientSide) {
                 setSheared(true);
                 int count = 2 + random.nextInt(3);
                 for (int j = 0; j < count; j++) {
-                    ItemEntity itemEntity = spawnAtLocation(new ItemStack(Blocks.WOOL.id, 1, getFleeceColor().blockMeta), 1.0F);
-                    itemEntity.yd += random.nextFloat() * 0.05F;
-                    itemEntity.xd += (random.nextFloat() - random.nextFloat()) * 0.1F;
-                    itemEntity.zd += (random.nextFloat() - random.nextFloat()) * 0.1F;
+                    EntityItem entityItem = spawnAtLocation(new ItemStack(Blocks.WOOL.id, 1, getFleeceColor().blockMeta), 1.0F);
+                    entityItem.yd += random.nextFloat() * 0.05F;
+                    entityItem.xd += (random.nextFloat() - random.nextFloat()) * 0.1F;
+                    entityItem.zd += (random.nextFloat() - random.nextFloat()) * 0.1F;
                 }
             }
             itemStack.damageItem(1, null);
diff --git a/src/main/java/net/minecraft/core/entity/animal/SquidMob.java b/src/main/java/net/minecraft/core/entity/animal/MobSquid.java
similarity index 98%
rename from src/main/java/net/minecraft/core/entity/animal/SquidMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobSquid.java
index 3f2357284..94c5155a6 100644
--- a/src/main/java/net/minecraft/core/entity/animal/SquidMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobSquid.java
@@ -5,7 +5,6 @@ package net.minecraft.core.entity.animal;
 //            Material, World, MathHelper, NBTTagCompound, 
 //            Player
 
-import net.minecraft.core.MD5String;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.material.Material;
@@ -16,7 +15,7 @@ import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class SquidMob extends WaterAnimal
+public class MobSquid extends MobWaterAnimal
 {
     public float xBodyRot;
     public float xBodyRotO;
@@ -33,7 +32,7 @@ public class SquidMob extends WaterAnimal
     private float ty;
     private float tz;
 
-    public SquidMob(World world)
+    public MobSquid(World world)
     {
         super(world);
         xBodyRot = 0.0F;
diff --git a/src/main/java/net/minecraft/core/entity/animal/WaterAnimal.java b/src/main/java/net/minecraft/core/entity/animal/MobWaterAnimal.java
similarity index 85%
rename from src/main/java/net/minecraft/core/entity/animal/WaterAnimal.java
rename to src/main/java/net/minecraft/core/entity/animal/MobWaterAnimal.java
index 7d2f316b4..0e06804b0 100644
--- a/src/main/java/net/minecraft/core/entity/animal/WaterAnimal.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobWaterAnimal.java
@@ -4,15 +4,15 @@ package net.minecraft.core.entity.animal;
 // Referenced classes of package net.minecraft.src:
 //            EntityCreature, World, NBTTagCompound
 
-import net.minecraft.core.entity.PathfinderMob;
+import net.minecraft.core.entity.MobPathfinder;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 
-public class WaterAnimal extends PathfinderMob
+public class MobWaterAnimal extends MobPathfinder
 	implements Creature
 {
 
-    public WaterAnimal(World world)
+    public MobWaterAnimal(World world)
     {
         super(world);
         scoreValue = 10;
diff --git a/src/main/java/net/minecraft/core/entity/animal/WolfMob.java b/src/main/java/net/minecraft/core/entity/animal/MobWolf.java
similarity index 94%
rename from src/main/java/net/minecraft/core/entity/animal/WolfMob.java
rename to src/main/java/net/minecraft/core/entity/animal/MobWolf.java
index 2d8d8d53b..aaebe0192 100644
--- a/src/main/java/net/minecraft/core/entity/animal/WolfMob.java
+++ b/src/main/java/net/minecraft/core/entity/animal/MobWolf.java
@@ -1,11 +1,11 @@
 package net.minecraft.core.entity.animal;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.ArrowProjectile;
-import net.minecraft.core.item.FoodItem;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
+import net.minecraft.core.item.ItemFood;
 import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
@@ -23,12 +23,12 @@ import net.minecraft.core.util.helper.DamageType;
 import java.util.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Animal, DataWatcher, NBTTagCompound, World,
-//            Player, SheepMob, AxisAlignedBB, Entity,
-//            InventoryPlayer, ItemStack, Item, FoodItem,
-//            MathHelper, ArrowProjectile, Mob
+//            MobAnimal, DataWatcher, NBTTagCompound, World,
+//            Player, MobSheep, AxisAlignedBB, Entity,
+//            InventoryPlayer, ItemStack, Item, ItemFood,
+//            MathHelper, ProjectileArrow, Mob
 
-public class WolfMob extends Animal
+public class MobWolf extends MobAnimal
 {
     public static final Map<ArmorMaterial, IArmorItem> ARMOR_MATERIALS = new HashMap<>();
     static {
@@ -57,7 +57,7 @@ public class WolfMob extends Animal
     private float prevTimeWolfIsShaking;
     private ItemStack armor = null;
 
-    public WolfMob(World world)
+    public MobWolf(World world)
     {
         super(world);
         looksWithInterest = false;
@@ -304,7 +304,7 @@ public class WolfMob extends Animal
     {
         super.updateAI();
 
-        if (getTarget() instanceof ItemEntity)
+        if (getTarget() instanceof EntityItem)
         {
             if (getTarget().isInWater() || getTarget().isInLava() || getTarget().isInWall() || !getTarget().onGround || getTarget().isRemoved())
             {
@@ -331,7 +331,7 @@ public class WolfMob extends Animal
         if(target == null && !hasPath())
         {
             if(!isWolfTamed() && world.rand.nextInt(100) == 0){
-                List<Entity> nearbySheep = world.getEntitiesWithinAABB(SheepMob.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
+                List<Entity> nearbySheep = world.getEntitiesWithinAABB(MobSheep.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
                 if (!nearbySheep.isEmpty()) {
                     setTarget((Entity) nearbySheep.get(world.rand.nextInt(nearbySheep.size())));
                 }
@@ -340,11 +340,11 @@ public class WolfMob extends Animal
         ItemStack heldItemSlot = getWolfHeldItem();
         if((heldItemSlot == null || heldItemSlot.itemID <= 0)) {
             List<Entity> triedItems = new ArrayList<>();
-            List<Entity> nearbyItems = world.getEntitiesWithinAABB(ItemEntity.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
+            List<Entity> nearbyItems = world.getEntitiesWithinAABB(EntityItem.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
             if (!nearbyItems.isEmpty()) {
                 while (triedItems.size() != nearbyItems.size())
                 {
-                    ItemEntity item = (ItemEntity) nearbyItems.get(world.rand.nextInt(nearbyItems.size()));
+                    EntityItem item = (EntityItem) nearbyItems.get(world.rand.nextInt(nearbyItems.size()));
                     if (triedItems.contains(item))
                     {
                         continue;
@@ -386,9 +386,9 @@ public class WolfMob extends Animal
                     {
                         looksWithInterest = true;
                     } else
-                    if(isWolfTamed() && (Item.itemsList[itemstack.itemID] instanceof FoodItem))
+                    if(isWolfTamed() && (Item.itemsList[itemstack.itemID] instanceof ItemFood))
                     {
-                        looksWithInterest = ((FoodItem)Item.itemsList[itemstack.itemID]).getIsWolfsFavoriteMeat();
+                        looksWithInterest = ((ItemFood)Item.itemsList[itemstack.itemID]).getIsWolfsFavoriteMeat();
                     }
                 }
             }
@@ -417,12 +417,12 @@ public class WolfMob extends Animal
         if(entitiesNearWolf != null && entitiesNearWolf.size() > 0 && isAlive())
         {
             for (Entity entity : entitiesNearWolf) {
-                if(entity instanceof ItemEntity && (this.getWolfHeldItem() == null || this.getWolfHeldItem().getItem() == null)){
-                    ItemEntity itemEntity = (ItemEntity) entity;
+                if(entity instanceof EntityItem && (this.getWolfHeldItem() == null || this.getWolfHeldItem().getItem() == null)){
+                    EntityItem entityItem = (EntityItem) entity;
 
-                    if (itemEntity.item != null && itemEntity.item.stackSize > 0) {
-                        setWolfHeldItem(itemEntity.item.copy());
-                        itemEntity.item.stackSize = 0;
+                    if (entityItem.item != null && entityItem.item.stackSize > 0) {
+                        setWolfHeldItem(entityItem.item.copy());
+                        entityItem.item.stackSize = 0;
                         entity.outOfWorld();
 
                         break;
@@ -565,7 +565,7 @@ public class WolfMob extends Animal
     public boolean hurt(Entity attacker, int i, DamageType type)
     {
         setWolfSitting(false);
-        if(attacker != null && !(attacker instanceof Player) && !(attacker instanceof ArrowProjectile))
+        if(attacker != null && !(attacker instanceof Player) && !(attacker instanceof ProjectileArrow))
         {
             i = (i + 1) / 2;
         }
@@ -578,13 +578,13 @@ public class WolfMob extends Animal
                     setWolfAngry(true);
                     target = attacker;
                 }
-                if((attacker instanceof ArrowProjectile) && ((ArrowProjectile) attacker).owner != null)
+                if((attacker instanceof ProjectileArrow) && ((ProjectileArrow) attacker).owner != null)
                 {
-                    attacker = ((ArrowProjectile) attacker).owner;
+                    attacker = ((ProjectileArrow) attacker).owner;
                 }
                 if(attacker instanceof Mob)
                 {
-                    List<Entity> list = world.getEntitiesWithinAABB(WolfMob.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
+                    List<Entity> list = world.getEntitiesWithinAABB(MobWolf.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
                     Iterator<Entity> iterator = list.iterator();
                     do
                     {
@@ -593,7 +593,7 @@ public class WolfMob extends Animal
                             break;
                         }
                         Entity entity1 = iterator.next();
-                        WolfMob entitywolf = (WolfMob)entity1;
+                        MobWolf entitywolf = (MobWolf)entity1;
                         if(!entitywolf.isWolfTamed() && entitywolf.target == null)
                         {
                             entitywolf.target = attacker;
@@ -635,7 +635,7 @@ public class WolfMob extends Animal
     @Override
 	protected void attackEntity(Entity entity, float distance)
     {
-        if(entity instanceof ItemEntity)
+        if(entity instanceof EntityItem)
             return;
         if(distance > 2.0F && distance < 6F && random.nextInt(10) == 0)
         {
@@ -738,9 +738,9 @@ public class WolfMob extends Animal
             }
         } else
         {
-            if(itemstack != null && (Item.itemsList[itemstack.itemID] instanceof FoodItem))
+            if(itemstack != null && (Item.itemsList[itemstack.itemID] instanceof ItemFood))
             {
-                FoodItem itemfood = (FoodItem)Item.itemsList[itemstack.itemID];
+                ItemFood itemfood = (ItemFood)Item.itemsList[itemstack.itemID];
                 if(itemfood.getIsWolfsFavoriteMeat() && getHealth() < getMaxHealth())
                 {
                 	if (entityplayer.getGamemode().consumeBlocks())
@@ -751,7 +751,7 @@ public class WolfMob extends Animal
                 			entityplayer.inventory.setItem(entityplayer.inventory.getCurrentItemIndex(), null);
                 		}                		
                 	}
-                    heal(((FoodItem)Items.FOOD_PORKCHOP_RAW).getHealAmount());
+                    heal(((ItemFood)Items.FOOD_PORKCHOP_RAW).getHealAmount());
                     return true;
                 }
             }
diff --git a/src/main/java/net/minecraft/core/entity/monster/CreeperMob.java b/src/main/java/net/minecraft/core/entity/monster/MobCreeper.java
similarity index 95%
rename from src/main/java/net/minecraft/core/entity/monster/CreeperMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobCreeper.java
index c405fc289..8093cebb4 100644
--- a/src/main/java/net/minecraft/core/entity/monster/CreeperMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobCreeper.java
@@ -2,17 +2,17 @@ package net.minecraft.core.entity.monster;
 
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.LightningEntity;
+import net.minecraft.core.entity.EntityLightning;
 import net.minecraft.core.item.Items;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 
-public class CreeperMob extends Monster
+public class MobCreeper extends MobMonster
 {
     public static final int DATA_CREEPER_STATE = 16;
     public static final int DATA_POWERED = 17;
-    public CreeperMob(World world)
+    public MobCreeper(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "creeper");
@@ -107,7 +107,7 @@ public class CreeperMob extends Monster
 	public void onDeath(Entity entityKilledBy)
     {
         super.onDeath(entityKilledBy);
-        if(entityKilledBy instanceof SkeletonMob)
+        if(entityKilledBy instanceof MobSkeleton)
         {
             spawnAtLocation(Items.RECORD_13.id + random.nextInt(11), 1);
         }
@@ -175,7 +175,7 @@ public class CreeperMob extends Monster
     }
 
     @Override
-	public void thunderHit(LightningEntity bolt)
+	public void thunderHit(EntityLightning bolt)
     {
         super.thunderHit(bolt);
         entityData.set(DATA_POWERED, (byte) 1);
diff --git a/src/main/java/net/minecraft/core/entity/monster/GhastMob.java b/src/main/java/net/minecraft/core/entity/monster/MobGhast.java
similarity index 95%
rename from src/main/java/net/minecraft/core/entity/monster/GhastMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobGhast.java
index f7725159b..2ae0f5969 100644
--- a/src/main/java/net/minecraft/core/entity/monster/GhastMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobGhast.java
@@ -1,24 +1,24 @@
 package net.minecraft.core.entity.monster;
 
 // Referenced classes of package net.minecraft.src:
-//            FlyingMob, IMob, DataWatcher, World,
-//            MathHelper, Entity, AxisAlignedBB, FireballProjectile,
+//            MobFlying, IMob, DataWatcher, World,
+//            MathHelper, Entity, AxisAlignedBB, ProjectileFireball,
 //            Vec3D, Item
 
 import net.minecraft.core.WeightedRandomLootObject;
+import net.minecraft.core.entity.MobFlying;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.FireballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileFireball;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.FlyingMob;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.helper.DamageType;
 
-public class GhastMob extends FlyingMob
+public class MobGhast extends MobFlying
     implements Enemy
 {
     public static final int DATA_CHARGING = 16;
@@ -32,7 +32,7 @@ public class GhastMob extends FlyingMob
     public int attackCharge;
 
 
-    public GhastMob(World world)
+    public MobGhast(World world)
     {
         super(world);
         courseChangeCooldown = 0;
@@ -181,7 +181,7 @@ public class GhastMob extends FlyingMob
                 if(attackCharge == 20)
                 {
                     world.playSoundAtEntity(null, this, "mob.ghast.fireball", getSoundVolume(), (random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F);
-                    FireballProjectile fireball = new FireballProjectile(world, this, vX, vY, vZ);
+                    ProjectileFireball fireball = new ProjectileFireball(world, this, vX, vY, vZ);
 
                     fireball.x = x + vec3.x * d8;
                     fireball.y = y + (double)(bbHeight / 2.0F) + 0.5D;
diff --git a/src/main/java/net/minecraft/core/entity/monster/GiantMob.java b/src/main/java/net/minecraft/core/entity/monster/MobGiant.java
similarity index 90%
rename from src/main/java/net/minecraft/core/entity/monster/GiantMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobGiant.java
index 85fb3d2f1..cb7862550 100644
--- a/src/main/java/net/minecraft/core/entity/monster/GiantMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobGiant.java
@@ -7,10 +7,10 @@ package net.minecraft.core.entity.monster;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 
-public class GiantMob extends Monster
+public class MobGiant extends MobMonster
 {
 
-    public GiantMob(World world)
+    public MobGiant(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "zombie");
diff --git a/src/main/java/net/minecraft/core/entity/monster/HumanMob.java b/src/main/java/net/minecraft/core/entity/monster/MobHuman.java
similarity index 91%
rename from src/main/java/net/minecraft/core/entity/monster/HumanMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobHuman.java
index 330b5975d..ba0fdbd85 100644
--- a/src/main/java/net/minecraft/core/entity/monster/HumanMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobHuman.java
@@ -6,9 +6,9 @@ import net.minecraft.core.util.helper.GetMonsterSkinUrlThread;
 import net.minecraft.core.world.World;
 
 
-public class HumanMob extends Monster
+public class MobHuman extends MobMonster
 {
-    public HumanMob(World world)
+    public MobHuman(World world)
     {
         super(world);
 
diff --git a/src/main/java/net/minecraft/core/entity/monster/Monster.java b/src/main/java/net/minecraft/core/entity/monster/MobMonster.java
similarity index 96%
rename from src/main/java/net/minecraft/core/entity/monster/Monster.java
rename to src/main/java/net/minecraft/core/entity/monster/MobMonster.java
index 4c7860151..4c227bc26 100644
--- a/src/main/java/net/minecraft/core/entity/monster/Monster.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobMonster.java
@@ -5,7 +5,7 @@ package net.minecraft.core.entity.monster;
 //            AxisAlignedBB, MathHelper, EnumSkyBlock, NBTTagCompound
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.PathfinderMob;
+import net.minecraft.core.entity.MobPathfinder;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.MathHelper;
@@ -15,11 +15,11 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.world.season.Seasons;
 
-public abstract class Monster extends PathfinderMob
+public abstract class MobMonster extends MobPathfinder
     implements Enemy
 {
 
-    public Monster(World world)
+    public MobMonster(World world)
     {
         super(world);
         attackStrength = 2;
diff --git a/src/main/java/net/minecraft/core/entity/monster/ScorpionMob.java b/src/main/java/net/minecraft/core/entity/monster/MobScorpion.java
similarity index 95%
rename from src/main/java/net/minecraft/core/entity/monster/ScorpionMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobScorpion.java
index fdbd71f39..e0d35c519 100644
--- a/src/main/java/net/minecraft/core/entity/monster/ScorpionMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobScorpion.java
@@ -13,11 +13,11 @@ import net.minecraft.core.item.Items;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 
-public class ScorpionMob extends Monster
+public class MobScorpion extends MobMonster
 {
     public static final int DATA_UNKNOWN = 16; // No clue why this exists
 
-    public ScorpionMob(World world)
+    public MobScorpion(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "scorpion");
@@ -39,7 +39,7 @@ public class ScorpionMob extends Monster
     {
         super.defineSynchedData();
         if(world.getDifficulty().canHostileMobsSpawn() && random.nextInt(100 / world.getDifficulty().id()) == 0) {
-            SkeletonMob entityskeleton = new SkeletonMob(world);
+            MobSkeleton entityskeleton = new MobSkeleton(world);
             entityskeleton.moveTo(x, y, z, yRot, 0.0F);
             world.entityJoinedWorld(entityskeleton);
             entityskeleton.startRiding(this);
diff --git a/src/main/java/net/minecraft/core/entity/monster/SkeletonMob.java b/src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java
similarity index 92%
rename from src/main/java/net/minecraft/core/entity/monster/SkeletonMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java
index cb6960d9e..89ce34c38 100644
--- a/src/main/java/net/minecraft/core/entity/monster/SkeletonMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java
@@ -2,11 +2,11 @@ package net.minecraft.core.entity.monster;
 
 // Referenced classes of package net.minecraft.src:
 //            EntityMob, World, MathHelper, Entity, 
-//            ArrowProjectile, Item, ItemStack, NBTTagCompound
+//            ProjectileArrow, Item, ItemStack, NBTTagCompound
 
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.ArrowProjectile;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.collection.NamespaceID;
@@ -15,11 +15,11 @@ import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.weather.Weathers;
 
-public class SkeletonMob extends Monster
+public class MobSkeleton extends MobMonster
 {
     public static final int DATA_ATTACK_TIME = 15;
 
-    public SkeletonMob(World world)
+    public MobSkeleton(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "skeleton");
@@ -82,7 +82,7 @@ public class SkeletonMob extends Monster
             if(attackTime == 0)
             {
                 if(!world.isClientSide) {
-                    ArrowProjectile arrow = new ArrowProjectile(world, this, false, 0);
+                    ProjectileArrow arrow = new ProjectileArrow(world, this, false, 0);
 //                    arrow.y += 1.3999999761581421D;
                     double d2 = (entity.y + (double) entity.getHeadHeight()) - 0.2D - arrow.y;
                     float f1 = MathHelper.sqrt(d * d + d1 * d1) * 0.2F;
diff --git a/src/main/java/net/minecraft/core/entity/monster/SlimeMob.java b/src/main/java/net/minecraft/core/entity/monster/MobSlime.java
similarity index 95%
rename from src/main/java/net/minecraft/core/entity/monster/SlimeMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobSlime.java
index 9b655a930..cd8bfcfb2 100644
--- a/src/main/java/net/minecraft/core/entity/monster/SlimeMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSlime.java
@@ -18,12 +18,12 @@ import net.minecraft.core.util.helper.DamageType;
 
 import java.util.List;
 
-public class SlimeMob extends Mob
+public class MobSlime extends Mob
     implements Enemy
 {
     public static final int DATA_SLIME_SIZE = 16;
 
-    public SlimeMob(World world)
+    public MobSlime(World world)
     {
         super(world);
         jumpDelay = 0;
@@ -34,7 +34,7 @@ public class SlimeMob extends Mob
         this.hasSlimeSplit = false;
         mobDrops.add(new WeightedRandomLootObject(Items.SLIMEBALL.getDefaultStack(), 0, 2));
     }
-    public SlimeMob(World world, boolean isSplit)
+    public MobSlime(World world, boolean isSplit)
     {
         super(world);
         jumpDelay = 0;
@@ -181,10 +181,10 @@ public class SlimeMob extends Mob
             {
                 float f = (((float)(j % 2) - 0.5F) * (float)size) / 4F;
                 float f1 = (((float)(j / 2) - 0.5F) * (float)size) / 4F;
-                SlimeMob slimeMob = new SlimeMob(world, true);
-                slimeMob.setSlimeSize(size / 2);
-                slimeMob.moveTo(x + (double)f, y + 0.5D, z + (double)f1, random.nextFloat() * 360F, 0.0F);
-                world.entityJoinedWorld(slimeMob);
+                MobSlime mobSlime = new MobSlime(world, true);
+                mobSlime.setSlimeSize(size / 2);
+                mobSlime.moveTo(x + (double)f, y + 0.5D, z + (double)f1, random.nextFloat() * 360F, 0.0F);
+                world.entityJoinedWorld(mobSlime);
             }
 
         }
diff --git a/src/main/java/net/minecraft/core/entity/monster/SnowmanMob.java b/src/main/java/net/minecraft/core/entity/monster/MobSnowman.java
similarity index 87%
rename from src/main/java/net/minecraft/core/entity/monster/SnowmanMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobSnowman.java
index b60f78e83..c1f8705cf 100644
--- a/src/main/java/net/minecraft/core/entity/monster/SnowmanMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSnowman.java
@@ -6,7 +6,7 @@ package net.minecraft.core.entity.monster;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.SnowballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileSnowball;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.item.Items;
@@ -16,10 +16,10 @@ import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.weather.Weathers;
 
-public class SnowmanMob extends Monster
+public class MobSnowman extends MobMonster
 {
 
-    public SnowmanMob(World world)
+    public MobSnowman(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "snowman");
@@ -54,17 +54,17 @@ public class SnowmanMob extends Monster
             if(attackTime == 0)
             {
                 if(!world.isClientSide) {
-                    SnowballProjectile snowballProjectile = new SnowballProjectile(world, this);
+                    ProjectileSnowball projectileSnowball = new ProjectileSnowball(world, this);
                     if (world.getBlockId((int) x, (int) y - 1, (int) z) == Blocks.GRAVEL.id)
                     {
-                        snowballProjectile.damage = 1;
+                        projectileSnowball.damage = 1;
                     }
-                    snowballProjectile.y += 1.4D;
-                    double d2 = (entity.y + (double) entity.getHeadHeight()) - 0.2D - snowballProjectile.y;
+                    projectileSnowball.y += 1.4D;
+                    double d2 = (entity.y + (double) entity.getHeadHeight()) - 0.2D - projectileSnowball.y;
                     float f1 = MathHelper.sqrt(dX * dX + dZ * dZ) * 0.2F;
                     world.playSoundAtEntity(null, this, "random.bow", 0.5F, 0.4F / (random.nextFloat() * 0.4F + 0.8F));
-                    world.entityJoinedWorld(snowballProjectile);
-                    snowballProjectile.setHeadingPrecise(dX, d2 + (double) f1, dZ, 0.6F);
+                    world.entityJoinedWorld(projectileSnowball);
+                    projectileSnowball.setHeadingPrecise(dX, d2 + (double) f1, dZ, 0.6F);
                 }
                 attackTime = 30;
             }
